
Infrastructure - Story #2191

API refactoring / refinement

2012-01-10 19:47 - Rob Nahf

Status: Closed Start date: 2012-01-10

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2012.01-Block.1.1   

Story Points:    

Description

Refine the Replication and Register APIs and documentation.

Subtasks:

Task # 2195: update method description for updateReplicateMetadata Closed

Task # 2196: update method description for updateNodeCapabilities Closed

Task # 2193: remove VersionMismatch exception from setReplicationStatus Closed

Task # 2194: remove VersionMismatch exception from setReplicationStatus- python impl Closed

Task # 2197: add updateObsoletedBy method Closed

Task # 2198: add deleteReplica method Closed

Task # 2199: add new methods to java service API Rejected

Task # 2200: add new methods to python service API Closed

History

#1 - 2012-01-10 19:49 - Rob Nahf

- Category set to Documentation

- Assignee set to Dave Vieglais

#2 - 2018-01-17 20:40 - Dave Vieglais

- % Done changed from 0 to 100

- Status changed from New to Closed
